petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectSetType

Sets the object type of any PetscObject.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetType(PetscObject obj, const char type[])

Not Collective

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, PetscObjectGetType((PetscObject)mat,&type);
| type | - the object type

Note: This does not currently work since we need to dispatch by type.

### Level

advanced

### Location

src/sys/objects/gtype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages